=== debian/changelog ===
ktorrent (4.1.1-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove kdebase-workspace-dev (<< 4:4.6) Build-Conflicts. It was to aid
    testing migration, hence not relevant (and wrong) for squeeze-backports.

 -- Modestas Vainius <modax@debian.org>  Thu, 09 Jun 2011 22:52:07 +0300

ktorrent (4.1.1-2) unstable; urgency=low

  * Add kdebase-workspace-dev (<< 4:4.6) to Build-Conflicts temporary. Needed
    for KDE SC 4.6 transition.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 28 May 2011 01:49:14 +0300

ktorrent (4.1.1-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent-dev 1.1.1.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Correct menu-icon-missing override.

 -- Modestas Vainius <modax@debian.org>  Tue, 03 May 2011 01:25:00 +0300

ktorrent (4.1.0-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent-dev 1.1.0.
  * Drop upstream_kde4.4_compat.diff patch, merged upstream.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0).

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Mar 2011 02:24:35 +0200

ktorrent (4.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.1~rc1.
  * Add upstream_kde4.4_compat.diff patch in order to restore compatibility
    with KDE Devel Platform 4.4.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 02:53:14 +0200

ktorrent (4.0.3-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Require libktorrent 1.0.3 per upstream recommendation.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:40:16 +0300
