=== debian/changelog ===
ktorrent (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain transparent support for dpkg-buildflags in dh/dh_auto_*.
  * Reorder dh options in compat=8 compatible way.

 -- Modestas Vainius <modax@debian.org>  Tue, 06 Dec 2011 00:25:09 +0200

ktorrent (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add krosspython to ktorrent Suggests.
  * Require libktorrent-dev 1.1.2.

 -- Modestas Vainius <modax@debian.org>  Thu, 18 Aug 2011 01:15:58 +0300
