=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.9), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.1),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.2),
  libtag1-dev, libgeoip-dev, libx11-dev
+Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
 Standards-Version: 3.9.2
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
@@ -17,7 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
  libktorrent-l10n
-Suggests: plasma-widget-ktorrent (= ${binary:Version})
+Suggests: plasma-widget-ktorrent (= ${binary:Version}), krosspython
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
  is based on the KDE platform. Obviously, KTorrent supports such basic features
