=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON
%:
	dh $@ --parallel --dbg-package=ktorrent-dbg --with kde

.PHONY: override_dh_auto_test
