=== debian/changelog ===
ktorrent (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Require libktorrent 1.2.0 to build.
  * Build depend on debhelper 9 as lintian insists.
  * Enable kio-magnet (pass -DENABLE_KIO_MAGNET=1 to cmake).

 -- Modestas Vainius <modax@debian.org>  Sat, 10 Mar 2012 22:55:41 +0200
