=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.9), pkg-kde-tools (>= 0.5),
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.2),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.0),
  libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
