## ktorrent 4.2.1

=== debian/changelog ===
ktorrent (4.2.1-1) unstable; urgency=low

  * New upstream release.
  * Require libktorrent 1.2.1 for building.
  * Drop unused override menu-icon-missing.

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Jun 2012 22:11:37 +0300
