=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.0),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.1),
  libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
 Standards-Version: 3.9.3
