=== ktorrent/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	groups/grouppolicydlg.cpp
 	groups/groupfiltermodel.cpp
 	groups/groupview.cpp
+	groups/groupviewmodel.cpp
+	groups/groupswitcher.cpp
 	
 	dialogs/pastedialog.cpp
 	dialogs/speedlimitsdlg.cpp
@@ -43,11 +45,12 @@
 	
 	view/view.cpp 
 	view/viewmodel.cpp
-	view/viewmanager.cpp 
 	view/viewdelegate.cpp
 	view/viewselectionmodel.cpp
+	view/viewjobtracker.cpp 
 	view/scanextender.cpp
-	view/propertiesextender.cpp
+	view/propertiesdlg.cpp
+	view/torrentsearchbar.cpp 
 )
 	
 
@@ -65,8 +68,6 @@
 	
 	groups/grouppolicydlg.ui
 	
-	tools/queuemanagerwidget.ui
-	
 	pref/qmpref.ui 
 	pref/btpref.ui
 	pref/generalpref.ui 
@@ -76,7 +77,7 @@
 	pref/recommendedsettingsdlg.ui
 	
 	view/scanextender.ui
-	view/propertiesextender.ui
+	view/propertiesdlg.ui
 )
 
 kde4_add_app_icon(ktorrent_SRC "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-ktorrent.png")
@@ -88,10 +89,13 @@
 install(TARGETS ktorrent_app ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS ktorrent.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install(FILES ktorrentplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
-# TODO remove once kio-magnet is properly integrated
-#install(FILES magnet.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
 install(FILES ktorrentui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 install(FILES kttorrentactivityui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 install(FILES ktorrent.notifyrc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 
+if (NOT ${ENABLE_KIO_MAGNET})
+    install(FILES magnet.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
+endif (NOT ${ENABLE_KIO_MAGNET})
+    
+
 add_subdirectory(icons)
