=== plugins/bwscheduler/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,20 @@
-set(ktbwschedulerplugin_SRC bwschedulerplugin.cpp weekview.cpp weekscene.cpp schedule.cpp scheduleeditor.cpp additemdlg.cpp schedulegraphicsitem.cpp bwprefpage.cpp guidanceline.cpp edititemdlg.cpp weekdaymodel.cpp)
+set(ktbwschedulerplugin_SRC 
+	bwschedulerplugin.cpp 
+	weekview.cpp 
+	weekscene.cpp 
+	schedule.cpp 
+	scheduleeditor.cpp 
+	schedulegraphicsitem.cpp 
+	bwprefpage.cpp 
+	guidanceline.cpp 
+	edititemdlg.cpp 
+	weekdaymodel.cpp
+)
 
 set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
 QT4_ADD_DBUS_INTERFACE(ktbwschedulerplugin_SRC ${screensaver_xml} screensaver_interface)
 
-kde4_add_ui_files(ktbwschedulerplugin_SRC additemdlg.ui edititemdlg.ui bwprefpage.ui)
+kde4_add_ui_files(ktbwschedulerplugin_SRC edititemdlg.ui bwprefpage.ui)
 kde4_add_kcfg_files(ktbwschedulerplugin_SRC bwschedulerpluginsettings.kcfgc)
 kde4_add_plugin(ktbwschedulerplugin ${ktbwschedulerplugin_SRC})
