=== debian/changelog ===
ktorrent (4.3.1-2ubuntu1) trusty; urgency=medium

  * Add kubuntu_magnet-mimetype.diff to open magnet links

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Mar 2014 19:02:49 +0000

ktorrent (4.3.1-2) unstable; urgency=low

  * Do not build tests like before KDE 4.10. Fixes FTBFS (Closes: #722628)
  * Do not link with deprecated kutils library. (Closes: #717010)
    Patch: dont_link_with_kutils.patch
  * Build with hardening flags. (Closes: #663524)
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs URLs to canonical ones.
  * Upload to unstable. (Closes: #721049)
  * Disable KIO Magnet. It is considered obsolete (and might be buggy).
  * Require nepomuk-core-dev for KDE 4.9 or above (requirement of
    kdepimlibs).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 21:27:06 +0200

ktorrent (4.3.1-1) experimental; urgency=low

  * New upstream release.
  * Bump dependency on libktorrent to 1.3.1.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 11:51:28 +0200

ktorrent (4.3.0-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.3.0 for building.
  * Require Qt 4.7 and KDE Platform 4.7 for building.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 01:03:59 +0300
