=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
- kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.1),
- libtag1-dev, libgeoip-dev, libx11-dev
+ libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3),
+ kdepimlibs5-dev (>= 4:4.7), nepomuk-core-dev | kdepimlibs5-dev (<< 4:4.9),
+ libboost-dev, libqtwebkit-dev, kdebase-workspace-dev (>= 4:4.7),
+ libktorrent-dev (>= 1.3.1), libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://ktorrent.org/
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/ktorrent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
 
 Package: ktorrent
 Architecture: any
