=== debian/rules ===
#!/usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON \
	                           -DKDE4_BUILD_TESTS=false
%:
	dh $@ --parallel --dbg-package=ktorrent-dbg --with kde

.PHONY: override_dh_auto_test
