=== debian/watch ===
version=3

# Track development releases as well
opts="dversionmangle=s/\+dfsg\.?\d+//,uversionmangle=s/^([\d.]+)-?([a-z].+)/$1~$2/i" \
    http://ktorrent.org/downloads/([\d.]+(?:-?.*)?)/ \
    ktorrent-([\d.]+(?:-?.*)?)\.tar\.(?:bz2|gz)
